On this page
No Headings
Use the /v1/oauth2/token endpoint to obtain an access token and pass it as a Bearer token in the Authorization header.
Client CredentialsToken URLhttps://api-m.sandbox.paypal.com/v1/oauth2/tokenInheaderScopes
readwriteNumber of records per page
Page number
Filter invoices by status
"DRAFT" | "FINALIZED"Filter invoices by payment status (e.g., pending, failed, succeeded)
"PENDING""PENDING" | "FAILED" | "SUCCEEDED"Filter invoices by external customer ID
Filter invoices issued on or after this date (ISO 8601 format)
^(?:[1-9]\d{3}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|02-(?:0[1-9]|1\d|2[0-8]))|(?:(?:\d{2}(?:0[48]|[2468][048]|[13579][26]))|(?:[02468][048]00|[13579][26]00))-02-29)$dateFilter invoices issued on or before this date (ISO 8601 format)
^(?:[1-9]\d{3}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|02-(?:0[1-9]|1\d|2[0-8]))|(?:(?:\d{2}(?:0[48]|[2468][048]|[13579][26]))|(?:[02468][048]00|[13579][26]00))-02-29)$dateapplication/json
application/json
application/json
curl -X GET "https://api-m.sandbox.paypal.com/invoices?issuing_date_from=2023-10-01&issuing_date_to=2023-10-01"{
"invoices": [
{
"id": "27986ceb-bb27-461d-82b1-f044646e192d",
"sequential_id": 5,
"status": "FINALIZED",
"payment_status": "PENDING",
"amount": {
"total_amount": {
"value": 220.2,
"currency_code": "USD"
}
},
"due_date": "2025-07-28",
"issued_date": "2025-07-28",
"invoice_number": "PPC-9E32-202507-012",
"version_number": "4",
"payment_overdue": true,
"invoice_type": "SUBSCRIPTION",
"customer": {
"name": "Test Plan Override Customer",
"external_id": "5eb02857-a71e-4ea2-bcf9-1752555395",
"email": "finance@techstart.io",
"address": {
"line1": "123 Innovation Way",
"line2": "Suite 400",
"city": "San Francisco",
"state": "CA",
"country": "US"
},
"phone": "+1 (555) 789-1234",
"id": "5a31b634-3213-42f5-a184-c68f93e47dc1"
},
"created_at": "2025-07-28T00:10:01Z",
"updated_at": "2025-07-29T00:25:00Z"
},
{
"id": "9cf09b3f-9e52-434c-b3f4-3675739795fa",
"sequential_id": 3,
"status": "FINALIZED",
"payment_status": "PENDING",
"amount": {
"total_amount": {
"value": 500.11,
"currency_code": "USD"
}
},
"due_date": "2025-07-28",
"issued_date": "2025-07-28",
"invoice_number": "PPC-9E32-202507-003",
"version_number": "4",
"payment_overdue": true,
"invoice_type": "SUBSCRIPTION",
"customer": {
"name": "CUST_NLT_1752783445",
"external_id": "5eb02857-a71e-4ea2-bcf9-1752783445",
"email": "sakdjas@comp.net",
"id": "6610c88a-bde2-4f62-bce5-02a29384cfc3"
},
"created_at": "2025-07-28T00:10:01Z",
"updated_at": "2025-07-29T00:25:02Z"
}
]
}{
"name": "NOT_AUTHORIZED",
"message": "Authorization failed due to insufficient permissions.",
"debug_id": "565f78f101498",
"details": [
{
"issue": "PERMISSION_DENIED",
"description": "You do not have permission to access or perform operations on this resource."
}
]
}{
"name": "INTERNAL_SERVER_ERROR",
"message": "An internal server error has occurred.",
"debug_id": "90957fca61718"
}